; _Ps Codice

Include "HJConst.JSH"; file costanti predefinito di Jaws
Include "_PsConst.JSH"; File personale delle costanti
Include "_PsGlobals.JSH"; file personale delle variabili globali
Include "_PsMessages.JSM"; File personale dei messaggi

Script TrovaTesto ()
SpeechOff (); spegne la sintesi
PerformScript SalvaContrassegno (); esegue lo script per salvare la posizione del cursore
ComandoTrova (); chiama l'apposita funzione
SpeechOn (); riattiva la sintesi
EndScript

Script PronunciaValoreRiga ()
SayString ("Riga" + IntToString (GetCursorRow ())); legge il numero della riga corrente
EndScript

Int Function PosizioneCursore ()
Return GetCursorRow (); restituisce la riga su cui  posto il cursore
EndFunction

Int Function MuoveAllaRiga (int iValore)
Var Int iTotale; lunghezza complessiva del documento
If !iValore ; se non  stato specificato alcun numero di riga,
|| iValore == PosizioneCursore () Then; oppure se la riga richiesta  la stessa dell'attuale,
Return FALSE; restituisce un risultato nullo
EndIf; fine controllo validit valore
Let iTotale = ValoreLunghezza (); rileva il valore complessivo
If !iTotale ; se la lunghezza del file non  stata rilevata,
||iValore < iTotale Then; oppure se il valore  inferiore alla lunghezza del documento,
SpeechOff (); spegne la sintesi
TypeKey (CONTROL_G); richiama il comando di spostamento alla riga
Pause ()
TypeString (IntToString (iValore)); immette la riga a cui portarsi
EnterKey (); simula la pressione di Invio
Pause ()
SpeechOn (); riattiva la sintesi
Return TRUE; restituisce l'esito positivo
Else; se invece il numero di riga  maggiore o uguale a quello delle righe totali,
JAWSBottomOfFile (); si porta alla fine del documento,
SayMessage (OT_ERROR, hlpFineFile, hlpFineFile_corto); avvisa dello spostamento,
Return FALSE; e restituisce un risultato nullo
EndIf; fine controllo righe totali
EndFunction

Void Function ControllaRitorno ()
If gnAnnullaRitorno Then; se il divieto al ritorno all'ultima posizione  attivo,
Return; interrompe il flusso
EndIf; Fine controllo divieto
If MuoveAllaRiga (gnUltima) Then; se lo spostamento riesce,
; legge il numero di riga cui ci si  portati
SayFormattedMessage (OT_ERROR, msg2, msgSecondo, RIGA, gnUltima)
EndIf; fine controllo spostamento
SayLine (); legge la riga corrente
Let gnAnnullaRitorno = TRUE; attiva il divieto al ritorno all'ultima riga
EndFunction

Void Function ScreenStabilizedEvent ()
If SiamoNellaFinestra (EDITING) Then; se si  nella finestra corretta,
If PosizioneCursore () != gnUltima Then; se la riga attuale non  quella memorizzata,
Let gnUltima = PosizioneCursore (); aggiorna il valore
EndIf; fine controllo riga
EndIf; fine controllo finestra
EndFunction

Void Function AutoStartEvent ()
If SiamoNellaFinestra (EDITING) Then; se si  nella finestra corretta,
ControllaRitorno (); verifica il possibile ritorno all'ultima riga registrata
EndIf; fine controllo finestra
EndFunction

Void Function AutoFinishEvent ()
; consente un successivo ritorno all'ultima riga, disattivandone il divieto
Let gnAnnullaRitorno = FALSE
EndFunction

Void Function WindowActivatedEvent ()
Delay (ATTESA); ritarda il flusso per i decimi di secondo impostati
If SiamoNellaFinestra (EDITING) Then; se si  nella finestra primaria,
ControllaRitorno (); verifica il possibile ritorno all'ultima riga registrata
ElIf SiamoNellaFinestra (SOSTITUISCI) Then; se si  in quella di sostituzione,
Let gnAnnullaRitorno = FALSE; consente di tornare all'ultima riga, disattivandone il divieto
EndIf; fine controllo finestra
EndFunction

Int Function EsegueRicerca (string ByRef sTesto, string sOggetto)
Var Int iErrore; esito della ricerca
SpeechOff (); spegne la sintesi
ComandoTrova (); attiva la finestra di ricerca testo
Pause ()
If sTesto Then; se un qualche testo  stato specificato,
TypeString (sTesto); lo immette nel campo di ricerca
Pause ();
Else; altrimenti,
Let sTesto = GetObjectValue (); rileva il contenuto del campo di ricerca
EndIf; fine controllo testo
; se si  richiesta la ricerca dall'inizio oppure in avanti,
If sOggetto == PRIMO || sOggetto == SUCCESSIVO Then
TypeKey (ALT_G); attiva la ricerca all'ingi
Else; altrimenti,
TypeKey (ALT_S); attiva la ricerca all'ins
EndIf; fine controllo direzione indietro
EnterKey ();
EscapeKey ()
Delay (ATTESA); ritarda il flusso per i decimi di secondo impostati
If GetObjectSubTypeCode () == PULSANTE_RADIO Then; se si resta nella finestra,
EscapeKey (); ne esce,
Let iErrore = TRUE; e memorizza la conclusione anomala
EndIf; fine controllo esito
SpeechOn ();riattiva la sintesi
If !iErrore Then; se non si sono verificate anomalie,
Return TRUE; restituisce l'esito positivo
Else; altrimenti,
Return FALSE; restituisce un risultato nullo
EndIf; fine controllo esito
EndFunction

