; _Ps Codice

; Include "HJConst.JSH"; file costanti predefinito di Jaws
Include "_PsConst.JSH"; File personale delle costanti
Include "_PsGlobals.JSH"; file personale delle variabili globali
Include "_PsMessages.JSM"; File personale dei messaggi

Script TrovaTesto ()
PerformScript TrovaTesto (); esegue la versione nel file script Predefinito
EndScript

Script SostituisceTesto ()
TypeKey ("Shift+Control+S"); simula la pressione della scelta rapida originale
EndScript

Script SelezionaDalContrassegno ()
PerformScript SelectTextBetweenMarkedPlaceAndCurrentPosition (); esegue lo script nativo
EndScript

String Function BarraStato ()
Var String sTesto; il contenuto nella Barra di stato
Let sTesto = GetBottomLineOfWindow (); rileva il contenuto dell'ultima riga nello schermo
If sTesto ; se un qualche contenuto  stato rilevato,
&& (StringContains (sTesto, DIVIDE_ZONE) ; e se nel testo c' o, il separatore standard,
|| StringContains (sTesto, SPACE)) Then; oppure, almeno un carattere Spazio,
Return sTesto; restituisce il contenuto rilevato
Else; altrimenti,
Let sTesto = GetUIAStatusBarText (); rileva la Barra di stato con la funzione speciale
Return StringReplaceSubstrings (sTesto, LF, DIVIDE_ZONE); sostituisce i ritorni a capo
EndIf; fine controllo contenuto
EndFunction

Script PronunciaStatoRiga ()
GestisceDato (); chiama la funzione generica
EndScript

Script PronunciaStatoColonna ()
GestisceDato (); chiama la funzione generica
EndScript

Script PronunciaStatoLunghezza ()
GestisceDato (); chiama la funzione generica
EndScript

Script PronunciaStatoPagina ()
GestisceDato (); chiama la funzione generica
EndScript

Script PronunciaStatoPosizione ()
GestisceDato (); chiama la funzione generica
EndScript

Script PronunciaStatoParole ()
GestisceDato (); chiama la funzione generica
EndScript

Int Function PosizioneCursore ()
Return GetCurCharPos (); restituisce la posizione rilevata tramite la funzione nativa
EndFunction

Void Function ScriveSegno (int iValore)
Var String sNomeFile; nome del documento aperto
If DocumentoCorrente (sNomeFile) Then; se un nome di file  stato rilevato,
If SalvaDato (sNomeFile) Then; se il salvataggio  riuscito,
Return; restituisce il flusso alla funzione chiamante
EndIf; fine controllo salvataggio
EndIf; fine controllo documento
SetCurrentDocumentMarkedPlace (iValore); chiama la funzione nativa per il salvataggio
EndFunction

Script TornaPrecedente ()
If !InTable () Then; se non si  in una tabella
PerformScript TornaPrecedente (); esegue lo script della nostra procedura
Else; altrimenti,
PerformScript SayPriorRow (); legge la riga precedente nelle tabelle di Word
EndIf; fine controllo tabella
EndScript

Script TornaSuccessivo ()
If !InTable () Then; se non si  in una tabella
PerformScript TornaSuccessivo (); esegue lo script della nostra procedura
Else; altrimenti,
PerformScript SayNextRow (); legge la riga successiva nelle tabelle di Word
EndIf; fine controllo tabella
EndScript

Void Function ComandoTrova ()
TypeKey (SHIFT_CONTROL_T); attiva la finestra di ricerca testo
EndFunction

Script EsceProgramma ()
GestisceDato (SALVA, ESCE) ; esegue il salvataggio simulando l'uscita dal documento
If GetScriptKeyName (ALTF4) Then; se lo script originale esiste,
PerformScriptByName (ALTF4); lo esegue
Else; altrimenti,
PronunciaEsegue (); ripete i tasti di Attivazione , e pronuncia il nome dello script
EndIf; fine controllo presenza script nativo
EndScript

Int Function EsegueRicerca (string sTesto, string sOggetto)
Var Int iStato; stato della sintesi
Let iStato = ControllaSintesi (); verifica se spegnere la sintesi, salvandone l'esito
ComandoTrova (); attiva la finestra di dialogo per la ricerca
Pause ()
If sTesto Then; se un qualche testo  stato specificato,
TypeString (sTesto); immette il testo da cercare
Pause ();
Else; altrimenti,
Let sTesto = GetObjectValue (); trasmette per riferimento la stringa da cercare
EndIf; fine controllo testo
TabKey (); si sposta al campo successivo
Pause ()
If GetObjectName () != OPZIONE_STANDARD Then; se non sono attivi i dettagli,
TypeKey (ALT_L); visualizza ulteriori opzioni
EndIf; fine controllo opzioni visualizzate
TypeKey (ALT_C); si porta sulla direzione della ricerca
If sOggetto == PRIMO ; se si  chiesta la prima occorrenza del testo,
|| sOggetto == SUCCESSIVO Then; o se ne  chiesto l'occorrenza successiva,
TypeKey (_G); imposta la ricerca in gi
ElIf sOggetto == ULTIMO ; se invece si  chiesto di andare all'ultima occorrenza,
|| sOggetto == PRECEDENTE Then; oppure se si vuole l'occorrenza precedente,
TypeKey (_S); imposta la ricerca in su
EndIf; fine controllo direzione ricerca
TypeKey (ALT_A); avvia la ricerca
Pause ()
ControllaSintesi (iStato); gestisce la riattivazione della sintesi
If GetObjectName () == OK_RICERCA Then; se la ricerca ha esito positivo,
EscapeKey (); esce dalla finestra
EndIf; fine controllo esito
Return TRUE; restituisce comunque l'esito positivo
EndFunction

